#!/bin/bash

#model_path="/data/persist/models/llama2-7b"
#model_paths=("/data/persist/models/llama-3b" "/data/persist/models/llama2-7b")
#model_paths=("/data/persist/models/alpaca-7b" "/data/persist/models/vicuna/vicuna-13b-v1.3")
#model_paths=("/data/persist/models/llama-3b" "/data/persist/models/llama2-7b" "/data/persist/models/vicuna/vicuna-13b-v1.3")
model_paths=("/data/persist/models/mosaicml-mpt-7b")
#methods=("old" "rerope" "leaky-rerope" "dynamic-ntk" "lm-infinite" "streaming-llm" "weave-v10")
#methods=("old" "lm-infinite" "streaming-llm" "weave-mpt7")
methods=("weave-mpt7")
dataset="pile"
datatset_name="pile"
batch_size=1
log_dir="../logs"
cuda="0"
seed=0

source /root/anaconda3/etc/profile.d/conda.sh
conda activate rerope

# 记录开始时间
start_time=$(date +%s)

for model_path in "${model_paths[@]}"; do
  echo "############################ run speed-memory task: $model_path ########################"
  for method in "${methods[@]}"; do
    echo "############################ run speed-memory task: $method ############################"
    current_date=$(date "+%Y-%m-%d_%H-%M-%S")

    # 记录开始时间
    current_start_time=$(date +%s)

    save_file="stats_max-16000_min-1000_$(basename $model_path)_'$method'_'$datatset_name'_'$current_date'_'$seed'.pkl"
    python_command="python evaluate_ppl.py --model_path $model_path --method $method --dataset $dataset --save_file $save_file --batch_size $batch_size --log_dir $log_dir --cuda $cuda --seed $seed"

    echo $python_command
    eval $python_command || \
      echo "completed, but continuing..."

    # 记录结束时间
    current_end_time=$(date +%s)
    current_time_diff=$((current_end_time - current_start_time))
    current_minutes_diff=$((current_time_diff / 60))
    echo "${method} code running time: ${current_minutes_diff} minutes"

  done
done

# 记录结束时间
end_time=$(date +%s)
time_diff=$((end_time - start_time))
minutes_diff=$((time_diff / 60))
echo "total 代码运行时间 time: ${minutes_diff} 分钟"




